View Issue Details

IDProjectCategoryView StatusLast Update
0000156luatexfeature requestpublic2013-03-21 10:19
ReporterHans HagenAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.75.0 
Summary0000156: new primitive \Uchar
DescriptionFor practical purposes (copy/paste etc) it is handy to have a new primitive:

  \Uchar

that accepts

  1234 (decimal)
  U+1234 (hex)
  0x1234 (hex)
  "1234 (tex hex)
  '1234 (tex oct)

(we think that it's handy but it has a low priority and needs some thinking)
TagsNo tags attached.

Activities

Hans Hagen

2013-02-19 19:18

manager   ~0001038

\Uchar<number> is okay (no need to be fancy) .. the command gets expanded directly into a utf token so that commands expecting a character in the input will act as expected (e.g. \left in mathmode)

Taco

2013-03-01 11:02

administrator   ~0001040

added in 0.75.0

Issue History

Date Modified Username Field Change
2009-02-07 16:04 Hans Hagen New Issue
2013-02-19 19:18 Hans Hagen Note Added: 0001038
2013-03-01 09:27 Taco Assigned To => Taco
2013-03-01 09:27 Taco Status new => assigned
2013-03-01 11:02 Taco Note Added: 0001040
2013-03-01 11:02 Taco Status assigned => resolved
2013-03-01 11:02 Taco Fixed in Version => 0.75.0
2013-03-01 11:02 Taco Resolution open => fixed
2013-03-21 10:19 Taco Status resolved => closed